List products

What is it for?

Returns the product catalogue with stock information.

Conditions

  • Requires authentication.

Parameters

Fill in the fields in Query Params and/or Path Params as applicable.

Quick parameter guide

  • product_ids: Filter by specific product IDs (Instructions: The IDs you got when creating them. Separate with commas: 1,2,3)
  • search: Free text search (Instructions: Type what you want to search (name, code, etc.))
  • name: Filter by exact name (Instructions: Type the product name)
  • cost: Filter by cost (Instructions: Type the number. E.g.: 9.99)
  • category_ids: Filter by category (Instructions: Call GET /api/v1/client/categories → copy the "id". Separate with commas)
  • page: Which page to view (Instructions: Starts at 1)
  • perPage: How many products per page (Instructions: An integer)
  • order_by: Field to sort by (Instructions: Valores: id, name, cost, created_at, code, status, length, heigth, width, weight)
  • order_direction: Ascending or descending order (Instructions: Write: asc or desc)

Expected response

HTTP 200 → Paginated list of products with their current stock

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter by specific product IDs

Instructions: The IDs you got when creating them. Separate with commas: 1,2,3

How to obtain it: use List products.

string

Filter by exact name

Instructions: Type the product name

number

Filter by cost

Instructions: Type the number. E.g.: 9.99

string

Filter by category

Instructions: Call GET /api/v1/client/categories → copy the "id". Separate with commas

integer

Which page to view

Instructions: Starts at 1

integer

How many products per page

Instructions: An integer

string
enum

Field to sort by

Instructions: Valores: id, name, cost, created_at, code, status, length, heigth, width, weight

string
enum

Ascending or descending order

Instructions: Write: asc or desc

Allowed:
advanced_filters
object

Advanced filters in JSON format.

Responses

400

Malformed request

404

No products found

422

Data validation or business rule error

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json